# Class Pointing

java.lang.Object
healpix.essentials.Pointing

public class Pointing extends Object
An angular position on the unit sphere.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`phi`
Longitude in radians
`double`
`theta`
Colatitude in radians (0 is North Pole; Pi is South Pole)

## Constructor Summary

Constructors
Constructor
Description
`Pointing()`
Default constructor
`Pointing(double theta, double phi)`
Simple constructor initializing both values.
`Pointing(Pointing ptg)`
`Pointing(Vec3 vec)`
Conversion from `Vec3`
`Pointing(Zphi zphi)`
Conversion from `Zphi`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`void`
`normalize()`
Normalize theta and phi ranges
`void`
`normalizeTheta()`
Normalize theta range
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### theta

public double theta
Colatitude in radians (0 is North Pole; Pi is South Pole)

### phi

public double phi
Longitude in radians

## Constructor Details

### Pointing

public Pointing()
Default constructor

### Pointing

public Pointing(Pointing ptg)

### Pointing

public Pointing(double theta, double phi)
Simple constructor initializing both values.

Parameters:
  `theta` - in radians [0,Pi]
  `phi` - in radians [0,2*Pi]

### Pointing

public Pointing(Vec3 vec)
Conversion from `Vec3`

### Pointing

public Pointing(Zphi zphi)
Conversion from `Zphi`

## Method Details

### normalizeTheta

public void normalizeTheta()
Normalize theta range

### normalize

public void normalize()
Normalize theta and phi ranges

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`